*** REPORT-print-previous.md	2022-07-07 13:04:18.000000000 +0100
--- REPORT-print.md	2022-07-07 13:09:02.000000000 +0100
***************
*** 28,34 ****
  ### Version
  
  * This report was generated at:
!     * 2022/07/07 12:04:18 UTC.
  * Announcement blog post at:
      * https://alecmuffett.com/article/16184
  * Latest versions of this report are available at:
--- 28,34 ----
  ### Version
  
  * This report was generated at:
!     * 2022/07/07 12:09:02 UTC.
  * Announcement blog post at:
      * https://alecmuffett.com/article/16184
  * Latest versions of this report are available at:
***************
*** 253,259 ****
  It's almost as if they were fishing for an acceptable excuse.
  
  The matter has come to a head since 1975, after development of
! *public-key cryptography* ^[*public-key cryptography*: https://en.wikipedia.org/wiki/Diffie--Hellman_key_exchange]
  after which it is no longer sufficient to have *raw* access to the *medium* --
  steaming an envelope,
  listening to radio,
--- 253,259 ----
  It's almost as if they were fishing for an acceptable excuse.
  
  The matter has come to a head since 1975, after development of
! *public-key cryptography* ^[*public-key cryptography*: https://en.wikipedia.org/wiki/Diffie-Hellman_key_exchange]
  after which it is no longer sufficient to have *raw* access to the *medium* --
  steaming an envelope,
  listening to radio,
***************
*** 596,602 ****
    if they have chosen to install tools like Grammarly
    ^[*Grammarly*: "Can anyone at Grammarly read my text?  No, only those who have an
    approved need to access certain data are given access to that
!   data--access is granted via specific, audited permissions, and access
    to data requires review and approval by the responsible managers."
    https://support.grammarly.com/hc/en-us/articles/360003835331-Can-anyone-at-Grammarly-read-my-text]
    ^[*Grammarly*: "... restricts employee access to customer data across our
--- 596,602 ----
    if they have chosen to install tools like Grammarly
    ^[*Grammarly*: "Can anyone at Grammarly read my text?  No, only those who have an
    approved need to access certain data are given access to that
!   data-access is granted via specific, audited permissions, and access
    to data requires review and approval by the responsible managers."
    https://support.grammarly.com/hc/en-us/articles/360003835331-Can-anyone-at-Grammarly-read-my-text]
    ^[*Grammarly*: "... restricts employee access to customer data across our
***************
*** 823,829 ****
  or *"law enforcement,"* ^[*"law enforcement*: https://www.nytimes.com/2016/05/03/technology/judge-seeking-data-shuts-down-whatsapp-in-brazil.html]
  or to serve an abstract notion such as
  *"protection of children,"* ^[*"protection of children*: https://www.theregister.com/2021/12/16/apple_deletes_csam_scanning_plan/]
! *"prevention of terrorism,"* ^[*"prevention of terrorism*: https://en.wikipedia.org/wiki/FBI--Apple_encryption_dispute]
  or "national security."  Often these
  features are intended to be pervasive and Alice is intended to have no
  means to avoid them without inviting suspicion.
--- 823,829 ----
  or *"law enforcement,"* ^[*"law enforcement*: https://www.nytimes.com/2016/05/03/technology/judge-seeking-data-shuts-down-whatsapp-in-brazil.html]
  or to serve an abstract notion such as
  *"protection of children,"* ^[*"protection of children*: https://www.theregister.com/2021/12/16/apple_deletes_csam_scanning_plan/]
! *"prevention of terrorism,"* ^[*"prevention of terrorism*: https://en.wikipedia.org/wiki/FBI-Apple_encryption_dispute]
  or "national security."  Often these
  features are intended to be pervasive and Alice is intended to have no
  means to avoid them without inviting suspicion.
***************
*** 2305,2312 ****
  > software.
  
  If my family is using the *field model* of an E2E app to enable a
! private and safe happy shared toddler's "bathtime funtime" ---- rubber
! ducks and all ---- something which could (and perhaps, should) be done
  by billions of people across the world, then what are we to make of
  calls for "automated reporting of child abuse" which this activity
  would almost certainly trigger?
--- 2305,2312 ----
  > software.
  
  If my family is using the *field model* of an E2E app to enable a
! private and safe happy shared toddler's "bathtime funtime" -- rubber
! ducks and all -- something which could (and perhaps, should) be done
  by billions of people across the world, then what are we to make of
  calls for "automated reporting of child abuse" which this activity
  would almost certainly trigger?
***************
*** 2671,2677 ****
  > appealing. As consumers, we like the convenience of easily moving
  > all of "our" stuff to a new service if we so choose. [...]  More
  > generally, data portability can address a "lock-in" or high
! > switching costs problem--users start to use one service, such as
  > Facebook, and then find it costly or technically difficult to shift
  > to another service, even if they prefer the other service. [...]
  > concerns about lock-in and high switching costs have been
--- 2671,2677 ----
  > appealing. As consumers, we like the convenience of easily moving
  > all of "our" stuff to a new service if we so choose. [...]  More
  > generally, data portability can address a "lock-in" or high
! > switching costs problem -- users start to use one service, such as
  > Facebook, and then find it costly or technically difficult to shift
  > to another service, even if they prefer the other service. [...]
  > concerns about lock-in and high switching costs have been
